package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.UserWithTag;
import com.tzld.piaoquan.growth.common.model.po.UserWithTagExample;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface UserWithTagMapper {
    long countByExample(UserWithTagExample example);

    int deleteByExample(UserWithTagExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserWithTag record);

    int insertSelective(UserWithTag record);

    List<UserWithTag> selectByExample(UserWithTagExample example);

    UserWithTag selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserWithTag record, @Param("example") UserWithTagExample example);

    int updateByExample(@Param("record") UserWithTag record, @Param("example") UserWithTagExample example);

    int updateByPrimaryKeySelective(UserWithTag record);

    int updateByPrimaryKey(UserWithTag record);

    List<Long> selectFilterUserList();
}